Subject: Re: Branch shuffling after 1.6.6 release plans

From: Thomas Rast <[email-masked]>
Date: Fri, 25 Dec 2009 12:30:34 +0100

Thanks for 1.6.6!

Junio C Hamano wrote:
>      * tr/maint-merge-ours-clarification (2009-11-15) 1 commit
>       - rebase: refuse to rebase with -s ours
> 
>      I do not think we reached a concensus for solving conflicts between "give
>      them rope" and "protect users from clearly meaningless combinations".  The
>      author obviously is for the latter (and I am inclined to agree); Dscho
>      seems to think otherwise.

I can try hacking some internal option into the merge helpers, by
which they declare to be (in)compatible with rebasing.  I think this
what Dscho or Sverre mentioned in the corresponding thread, but I
forgot about it when I noticed you had already promoted the above to
'next'.

>      * tr/reset-checkout-patch (2009-11-19) 1 commit
>       - {checkout,reset} -p: make patch direction configurable
> 
>      I do not particularly like a configuration like this that changes the
>      behaviour of a command in a drastic way---it will make helping others
>      much harder.

I think it's not quite as drastic as you make it sound ;-)

But I don't need this feature, and Peff mentioned something about
being happy except for the patch editing mode.  Unfortunately the
above pretty much hits the limits of add--interactive's flexibility,
so an interactive direction toggling feature would need some rewiring.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch